%global apiver 2.4
%define release_version %(echo %{version} | awk -F. '{print $1"."$2}')
%global glib2_version 2.61.2
%global libsigc_version 2.9.1

Summary:        C++ interface for the GLib library
Name:           glibmm2.4
Version:        2.66.5
Release:        3%{?dist}
License:        LGPLv2+
URL:            http://www.gtkmm.org/
Source0:        https://download.gnome.org/sources/glibmm/%{release_version}/glibmm-%{version}.tar.xz
Patch3000:      glibmm24-gcc11.patch

BuildRequires:  gcc-c++ m4 meson
BuildRequires:  mm-common
BuildRequires:  doxygen libxslt
BuildRequires:  perl-generators perl-interpreter perl(Getopt::Long)
BuildRequires:  pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(sigc++-2.0) >= %{libsigc_version}

Requires:       glib2 >= %{glib2_version}
Requires:       libsigc++20 >= %{libsigc_version}
Provides:       glibmm24 = %{version}-%{release}
%global __provides_exclude %{?__provides_exclude:%{__provides_exclude}|}^perl\\(
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\((DocsParser|Enum|Function|FunctionBase|GtkDefs|Object|Output|Property|Util|WrapParser)\\)

%description
glibmm is the official C++ interface for the popular cross-platform
library GLib. It provides non-UI API that is not available in standard
C++ and makes it possible for gtkmm to wrap GObject-based APIs.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Provides:       glibmm24-devel = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        doc
Summary:        API documentation for %{name}
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}
Requires:       libsigc++20-doc
Provides:       glibmm24-doc = %{version}-%{release}

%description    doc
This package contains the full API documentation for %{name}.


%prep
%autosetup -p1 -n glibmm-%{version}


%build
%meson -Dbuild-documentation=true
%meson_build


%install
%meson_install

chmod +x %{buildroot}%{_libdir}/glibmm-%{apiver}/proc/generate_wrap_init.pl
chmod +x %{buildroot}%{_libdir}/glibmm-%{apiver}/proc/gmmproc


%files
%license COPYING
%doc AUTHORS NEWS README.md
%{_libdir}/libgiomm-%{apiver}.so.1*
%{_libdir}/libglibmm-%{apiver}.so.1*
%{_libdir}/libglibmm_generate_extra_defs-%{apiver}.so.1*

%files devel
%{_includedir}/glibmm-%{apiver}/
%{_includedir}/giomm-%{apiver}/
%{_libdir}/*.so
%{_libdir}/glibmm-%{apiver}/
%{_libdir}/giomm-%{apiver}/
%{_libdir}/pkgconfig/*.pc

%files doc
%doc %{_datadir}/devhelp/
%doc %{_docdir}/glibmm-%{apiver}/


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.66.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.66.5-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 2 2022 rockerzhu <rockerzhu@tencent.com> - 2.66.5-1
- Initial build
